// file: sig_cstr_0.cc
//

// isip include files
//
#include "Signal.h"
#include "signal_constants.h"

// method: default destructor
//
// arguments: none
//
// return: none
//
Signal::~Signal() {

  // clean up
  //
  if (fname_d != (char_1*)NULL) {
    delete [] fname_d;
  }
  
  if (fp_d != (FILE*)NULL) {
    error_handler_cc((char_1*)"~Signal",
		     (char_1*)"there appears to be an open file");
  }
  
  // return
  //
}
